%define prefix /usr
%define name MyMencoder
%define version 0.3.1
%define release %mkrel 1
%define url http://kellerleiche.bplaced.net

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	MyMencoder GUI
Summary(de):	MyMencoder GUI
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtkdialog, xterm, mplayer, mencoder, mediainfo, yad
Requires:	dvdbackup
Obsoletes:	%name < %version

%description
MyMencoder for encoding video files.  

Add simple gui for dvdbackup.
Add join dialog.
Add mux dialog.
Add audio extract.


#german
%description -l de
MyMencoder zum konvertieren von Video Dateien.

Hinzugefügt einfaches GUI für dvdbackup.
Hinzugefügt JOIN dialog.
Hinzugefügt MUX dialog.
Hinzugefügt Audio extrakt.

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_bindir}
install -m 755 my_mencoder %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_datadir}/mymencoder
install -m 755 about a_encoder calculator dvdbackup join_tool mux_tool mybackup tools \
%{buildroot}/%{_datadir}/mymencoder/ 
install -m 0644 ChangeLog %{buildroot}/%{_datadir}/mymencoder/

mkdir -p %{buildroot}/%{_iconsdir}
install -m 644 MyMencoder.png %{buildroot}/%{_iconsdir}/MyMencoder.png
install -m 644 mplayer.png %{buildroot}/%{_iconsdir}/mplayer.png

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps
install -m 644 my_mencoder.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/my_mencoder.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/my_mencoder.desktop << EOF
[Desktop Entry]
Type=Application
Name=MyMencoder
Exec=my_mencoder
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
Icon=MyMencoder.png
Terminal=false
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/my_mencoder.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/my_mencoder-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/my_mencoder
%{_datadir}/mymencoder/*
%{_iconsdir}/*.png
%{_datadir}/icons/hicolor/32x32/apps/my_mencoder.png
%{_datadir}/applications/my_mencoder.desktop
%{_datadir}/locale/de/LC_MESSAGES/my_mencoder.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Dec 17 2012 daniel <meisssw01 at gmail.com> 0.3.1-1leiche2012
- move display mencoder command to menu item
- add a variable to open mymencoder with right
  click on a video file 
  
* Fri Oct 26 2012 daniel <meisssw01 at gmail.com> 0.3.0-2leiche2012
- fix bug by 2pass encoding

* Wed Oct 24 2012 daniel <meisssw01 at gmail.com> 0.3.0-1leiche2012
- Bump version to 0.3.0
- terminal output now in the gui
- the command -vf will automatically load
  if you activate filters, and move if you
  deactivate filters.
- Most of Entry Lines now editable, if you
  known, what you do, feel free to set your 
  own parameters.
- add filter unsharp 

* Sat Oct 20 2012 daniel <meisssw01 at gmail.com> 0.2.5-1leiche2012
- fix some bugs
- add line to display mencoder command
- add an another Deinterlacing filter 

* Sun Sep 30 2012 daniel <meisssw01 at gmail.com> 0.2.4-1leiche2012
- rebuild for latest gtkdialog
- changes some commands
- add de-logo (testing) 

* Sat Dec 10 2011 leiche <meisssw01 at gmail.com> 0.2.3-1leiche2011
- fix filter chain
- add denoise filter
- add interlaced filter yadif

* Tue Dec 06 2011 leiche <meisssw01 at gmail.com> 0.2.2-1leiche2011
- add mybackup
- fix icon issues on window

* Sun Dec 04 2011 leiche <meisssw01 at gmail.com> 0.2.1-1leiche2011
- dvdbackup extended
- add more entries for languages
- add function to hold xterm window
- add df function

* Sun Nov 27 2011 leiche <meisssw01 at gmail.com> 0.2.0-1leiche2011
- fix language
- add simple gui for dvdbackup...
- add join tool
- add mux tool
- add audio extract
- add new menu item called analyze 
 
* Fri Nov 25 2011 leiche <meisssw01 at gmail.com> 0.1.5-1leiche2011
- back to the roots...

* Sat Oct 08 2011 leiche <meisssw01 at gmail.com> 0.1.4.2-1leiche2011
- back to simple...
- a lot of settings are set for default, 
  for a fast encoding.

* Tue Sep 27 2011 leiche <meisssw01 at gmail.com> 0.1.4.1-2leiche2011
- rebuild for new mediainfo 
* Mon Apr 18 2011 leiche <meisssw01 at aol.com> 0.1.4.1-1leiche2011
- fix change FourCC commando

* Sun Mar 20 2011 leiche <meisssw01 at aol.com> 0.1.4-1leiche2011
- add scale filter
- add current mediainfos on main window

* Thu Jan 13 2011 leiche <meisssw01 at aol.com> 0.1.3-1leiche2011
- fix close button

* Mon Dec 13 2010 leiche <meisssw01 at aol.com> 0.1.2-1leiche2010
- fix some issues
- add bitrate calculator
- add change FourCC

* Sat Dec 11 2010 leiche <meisssw01 at aol.com> 0.1.1-1leiche2010
- first build for PCLinuxOS 
